/*******************************************************************************
 * Copyright (c) 2008 Plant Bioinformatics Group, IPK Gatersleben
 *******************************************************************************/
package de.ipk_gatersleben.ag_pbi.fluxbalance.reconstruction;

import org.graffiti.plugin.algorithm.PreconditionException;
import org.graffiti.plugin.parameter.Parameter;

import de.ipk_gatersleben.ag_pbi.fluxbalance.startsim.AbstractStartCalculationAlgorithm;

/**
 * @author Eva
 */
public class ReconstructionGuideLines extends AbstractStartCalculationAlgorithm {
	
	public String getName() {
		// return "Reconstruction Guidelines";
		return "<html>" +
							"<font color=\"#04B404\">Reconstruction Guidelines</font>";
	}
	
	@Override
	public String getDescription() {
		return "<html>" +
							"<b>FBA-SimVis offers an interactive model reconstruction en-<br>" +
							"vironment.</b><br>" +
							"<br>" +
							"Via the graphical user interface, a metabolic model can be created<br>" +
							"and edited by using <br>" +
							"<b><font color=\"#04B404\">(1) </font></b>a simple drag-and drop mechanism for network creation<br>" +
							"<b><font color=\"#04B404\">(2) </font></b>a text menu for network refinement. <br>" +
							"<br>" +
							"A summary of graphical elements allowed for metabolic model re-<br>" +
							"construction is given on the left side. A more detailed description<br>" +
							"of the model reconstruction process is given in the user manual.<br>" +
							"<br>";
		
	}
	
	@Override
	public Parameter[] getParameters() {
		
		return new Parameter[] {

		};
	}
	
	@Override
	public void setParameters(Parameter[] params) {
	}
	
	@Override
	public void check() throws PreconditionException {
	}
	
	public void execute() {
	}
	
	@Override
	protected String getImageFileName() {
		return "reconstrGuidelines1_12.png";
	}
}