graph [
  directed 1
  node [
    id 1
    zlevel -1

    graphics [
      x 170.0
      y 210.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H2O_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H2O_MC_t"
    ]
  ]
  node [
    id 2
    zlevel -1

    graphics [
      x 230.0
      y 240.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R009"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R009"
    ]
  ]
  node [
    id 3
    zlevel -1

    graphics [
      x 320.0
      y 190.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "O2_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "O2_MC_t"
    ]
  ]
  node [
    id 4
    zlevel -1

    graphics [
      x 320.0
      y 290.0
      w 25.0
      h 25.0
      fill "#FF0066"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_t"
    ]
  ]
  node [
    id 5
    zlevel -1

    graphics [
      x 320.0
      y 240.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "e-_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "e-_MC_t"
    ]
  ]
  node [
    id 6
    zlevel -1

    graphics [
      x 70.0
      y 280.0
      w 25.0
      h 25.0
      fill "#0000CC"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "photon_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "photonH"
    ]
  ]
  node [
    id 7
    zlevel -1

    graphics [
      x 440.0
      y 240.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R010"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R010"
    ]
  ]
  node [
    id 8
    zlevel -1

    graphics [
      x 570.0
      y 240.0
      w 25.0
      h 25.0
      fill "#FF0066"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_t"
    ]
  ]
  node [
    id 9
    zlevel -1

    graphics [
      x 530.0
      y 620.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R012"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R012"
    ]
  ]
  node [
    id 10
    zlevel -1

    graphics [
      x 70.0
      y 570.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "NADP_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "NADP_MC_p"
    ]
  ]
  node [
    id 11
    zlevel -1

    graphics [
      x 70.0
      y 620.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_p"
    ]
  ]
  node [
    id 12
    zlevel -1

    graphics [
      x 70.0
      y 680.0
      w 25.0
      h 25.0
      fill "#0000CC"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "photon_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "photon_MC_p"
    ]
  ]
  node [
    id 13
    zlevel -1

    graphics [
      x 660.0
      y 620.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "NADPH_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "NADPH_MC_p"
    ]
  ]
  node [
    id 14
    zlevel -1

    graphics [
      x 520.0
      y 360.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R013"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R013"
    ]
  ]
  node [
    id 15
    zlevel -1

    graphics [
      x 630.0
      y 300.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ADP_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ADP_MC_p"
    ]
  ]
  node [
    id 16
    zlevel -1

    graphics [
      x 630.0
      y 340.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "P_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "P_MC_p"
    ]
  ]
  node [
    id 17
    zlevel -1

    graphics [
      x 70.0
      y 340.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ATP_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ATP_MC_p"
    ]
  ]
  node [
    id 18
    zlevel -1

    graphics [
      x 70.0
      y 390.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_p"
    ]
  ]
  node [
    id 19
    zlevel -1

    graphics [
      x 650.0
      y 400.0
      w 25.0
      h 25.0
      fill "#FF0066"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_t"
    ]
  ]
  node [
    id 20
    zlevel -1

    graphics [
      x 40.0
      y 30.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R001"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R001"
    ]
  ]
  node [
    id 21
    zlevel -1

    graphics [
      x 40.0
      y 80.0
      w 25.0
      h 25.0
      fill "#0000CC"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "photon_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "photon_MC_p"
    ]
  ]
  node [
    id 22
    zlevel -1

    graphics [
      x 110.0
      y 80.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H2O_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H2O_MC_t"
    ]
  ]
  node [
    id 23
    zlevel -1

    graphics [
      x 110.0
      y 30.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R002"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R002"
    ]
  ]
  node [
    id 24
    zlevel -1

    graphics [
      x 180.0
      y 30.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R003"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R003"
    ]
  ]
  node [
    id 25
    zlevel -1

    graphics [
      x 180.0
      y 80.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_p"
    ]
  ]
  node [
    id 26
    zlevel -1

    graphics [
      x 270.0
      y 80.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ADP_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ADP_MC_p"
    ]
  ]
  node [
    id 27
    zlevel -1

    graphics [
      x 340.0
      y 80.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "P_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "P_MC_p"
    ]
  ]
  node [
    id 28
    zlevel -1

    graphics [
      x 410.0
      y 80.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "NADP_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "NADP_MC_p"
    ]
  ]
  node [
    id 29
    zlevel -1

    graphics [
      x 270.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R004"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R004"
    ]
  ]
  node [
    id 30
    zlevel -1

    graphics [
      x 340.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R005"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R005"
    ]
  ]
  node [
    id 31
    zlevel -1

    graphics [
      x 410.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R006"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R006"
    ]
  ]
  node [
    id 32
    zlevel -1

    graphics [
      x 540.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R008"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R008"
    ]
  ]
  node [
    id 33
    zlevel -1

    graphics [
      x 580.0
      y 80.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "NADPH_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "NADPH_MC_p"
    ]
  ]
  node [
    id 34
    zlevel -1

    graphics [
      x 500.0
      y 80.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ATP_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ATP_MC_p"
    ]
  ]
  node [
    id 35
    zlevel -1

    graphics [
      x 670.0
      y 80.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "O2_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "O2_MC_t"
    ]
  ]
  node [
    id 36
    zlevel -1

    graphics [
      x 670.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R020"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R020"
    ]
  ]
  node [
    id 37
    zlevel -1

    graphics [
      x 840.0
      y 250.0
      w 25.0
      h 25.0
      fill "#0000CC"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "photon_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "photon_BC_p"
    ]
  ]
  node [
    id 38
    zlevel -1

    graphics [
      x 1000.0
      y 250.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R021"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R021"
    ]
  ]
  node [
    id 39
    zlevel -1

    graphics [
      x 1090.0
      y 250.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "e-_BC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "e-_BC_t"
    ]
  ]
  node [
    id 40
    zlevel -1

    graphics [
      x 1210.0
      y 250.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R022"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R022"
    ]
  ]
  node [
    id 41
    zlevel -1

    graphics [
      x 1360.0
      y 250.0
      w 25.0
      h 25.0
      fill "#FF0066"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_BC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_BC_t"
    ]
  ]
  node [
    id 42
    zlevel -1

    graphics [
      x 1000.0
      y 320.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R023"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R023"
    ]
  ]
  node [
    id 43
    zlevel -1

    graphics [
      x 1240.0
      y 320.0
      w 25.0
      h 25.0
      fill "#FF0066"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_BC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_BC_t"
    ]
  ]
  node [
    id 44
    zlevel -1

    graphics [
      x 840.0
      y 320.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_BC_p"
    ]
  ]
  node [
    id 45
    zlevel -1

    graphics [
      x 840.0
      y 450.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_BC_p"
    ]
  ]
  node [
    id 46
    zlevel -1

    graphics [
      x 840.0
      y 400.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ATP_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ATP_BC_p"
    ]
  ]
  node [
    id 47
    zlevel -1

    graphics [
      x 1270.0
      y 460.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "P_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "P_BC_p"
    ]
  ]
  node [
    id 48
    zlevel -1

    graphics [
      x 1170.0
      y 420.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R024"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
    ]
  ]
  node [
    id 49
    zlevel -1

    graphics [
      x 1270.0
      y 420.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ADP_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ADP_BC_p"
    ]
  ]
  node [
    id 50
    zlevel -1

    graphics [
      x 980.0
      y 80.0
      w 25.0
      h 25.0
      fill "#009933"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ATP_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ATP_BC_p"
    ]
  ]
  node [
    id 51
    zlevel -1

    graphics [
      x 980.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R025"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R025"
    ]
  ]
  node [
    id 52
    zlevel -1

    graphics [
      x 900.0
      y 80.0
      w 25.0
      h 25.0
      fill "#0000CC"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "photon_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "photon_BC_p"
    ]
  ]
  node [
    id 53
    zlevel -1

    graphics [
      x 900.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R026"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R026"
    ]
  ]
  node [
    id 54
    zlevel -1

    graphics [
      x 1060.0
      y 80.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_BC_p"
    ]
  ]
  node [
    id 55
    zlevel -1

    graphics [
      x 1060.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R027"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R027"
    ]
  ]
  node [
    id 56
    zlevel -1

    graphics [
      x 1210.0
      y 80.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "P_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "P_BC_p"
    ]
  ]
  node [
    id 57
    zlevel -1

    graphics [
      x 1140.0
      y 80.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "ADP_BC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "ADP_BC_p"
    ]
  ]
  node [
    id 58
    zlevel -1

    graphics [
      x 1140.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R028"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R028"
    ]
  ]
  node [
    id 59
    zlevel -1

    graphics [
      x 1210.0
      y 20.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R029"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R029"
    ]
  ]
  node [
    id 60
    zlevel -1

    graphics [
      x 70.0
      y 470.0
      w 25.0
      h 25.0
      fill "#009900"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_p"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_p"
    ]
  ]
  node [
    id 61
    zlevel -1

    graphics [
      x 170.0
      y 470.0
      w 25.0
      h 25.0
      fill "#FFFFFF"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "rectangle"
    ]
    label "R011"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
  ]
  node [
    id 62
    zlevel -1

    graphics [
      x 260.0
      y 470.0
      w 25.0
      h 25.0
      fill "#FF0066"
      outline "#000000"
      frameThickness 2.0
      gradient 0.0
      rounding 5.0
      type "circle"
    ]
    label "H+_MC_t"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontSize 12
      fontStyle "plain"
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      sbmlID "H+_MC_t"
    ]
  ]
  edge [
    id 1
    source 1
    target 2
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R009"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 2
    source 6
    target 2
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R009"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 3
    source 2
    target 3
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R009"
      sbmlRole "product"
    ]
  ]
  edge [
    id 4
    source 2
    target 4
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R009"
      sbmlRole "product"
    ]
  ]
  edge [
    id 5
    source 2
    target 5
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R009"
      sbmlRole "product"
    ]
  ]
  edge [
    id 6
    source 7
    target 8
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R010"
      sbmlRole "product"
    ]
  ]
  edge [
    id 7
    source 12
    target 9
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R012"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 8
    source 11
    target 9
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R012"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 9
    source 10
    target 9
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R012"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 10
    source 9
    target 13
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R012"
      sbmlRole "product"
    ]
  ]
  edge [
    id 11
    source 5
    target 7
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R010"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 12
    source 15
    target 14
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "3"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R013"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 13
    source 16
    target 14
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "3"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R013"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 14
    source 14
    target 17
    graphics [
      fill "#000000"
      outline "#000000"
      Line [
        point [ x 0.0 y 0.0 ]
        point [ x 630.0 y 360.0 ]
        point [ x 0.0 y 0.0 ]
      ]
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      straight 1
      thickness 1.0
    ]
    label "3"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R013"
      sbmlRole "product"
    ]
  ]
  edge [
    id 15
    source 14
    target 18
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "12"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R013"
      sbmlRole "product"
    ]
  ]
  edge [
    id 16
    source 19
    target 14
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "12"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R013"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 17
    source 20
    target 21
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "8"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R001"
      sbmlRole "product"
    ]
  ]
  edge [
    id 18
    source 23
    target 22
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R002"
      sbmlRole "product"
    ]
  ]
  edge [
    id 19
    source 24
    target 25
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "6"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R003"
      sbmlRole "product"
    ]
  ]
  edge [
    id 20
    source 29
    target 26
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R004"
      sbmlRole "product"
    ]
  ]
  edge [
    id 21
    source 30
    target 27
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R005"
      sbmlRole "product"
    ]
  ]
  edge [
    id 22
    source 31
    target 28
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R006"
      sbmlRole "product"
    ]
  ]
  edge [
    id 23
    source 33
    target 32
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R008"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 24
    source 35
    target 36
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R020"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 25
    source 34
    target 32
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "3"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R008"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 26
    source 37
    target 38
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R021"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 27
    source 38
    target 39
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R021"
      sbmlRole "product"
    ]
  ]
  edge [
    id 28
    source 39
    target 40
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R022"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 29
    source 40
    target 41
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R022"
      sbmlRole "product"
    ]
  ]
  edge [
    id 30
    source 42
    target 43
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R023"
      sbmlRole "product"
    ]
  ]
  edge [
    id 31
    source 44
    target 42
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R023"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 32
    source 47
    target 48
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 33
    source 48
    target 46
    graphics [
      fill "#000000"
      outline "#000000"
      Line [
        point [ x 0.0 y 0.0 ]
        point [ x 1400.0 y 420.0 ]
        point [ x 0.0 y 0.0 ]
      ]
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      straight 1
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
      sbmlRole "product"
    ]
  ]
  edge [
    id 34
    source 48
    target 45
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "8"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
      sbmlRole "product"
    ]
  ]
  edge [
    id 35
    source 49
    target 48
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 36
    source 50
    target 51
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "2"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R025"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 37
    source 53
    target 52
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R026"
      sbmlRole "product"
    ]
  ]
  edge [
    id 38
    source 55
    target 54
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R027"
      sbmlRole "product"
    ]
  ]
  edge [
    id 39
    source 58
    target 57
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R028"
      sbmlRole "product"
    ]
  ]
  edge [
    id 40
    source 59
    target 56
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label ""
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R029"
      sbmlRole "product"
    ]
  ]
  edge [
    id 41
    source 41
    target 48
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 42
    source 43
    target 48
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
    sbml [
      modelID "Photophosphorylation"
      reversible "false"
      sbmlID "R024"
      sbmlRole "reactant"
    ]
  ]
  edge [
    id 43
    source 60
    target 61
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
  ]
  edge [
    id 44
    source 61
    target 62
    graphics [
      fill "#000000"
      outline "#000000"
      arrow "last"
      frameThickness 1.0
      gradient 0.0
      rounding 5.0
      thickness 1.0
    ]
    label "4"
    labelgraphics [
      alignment "center"
      anchor "c"
      color "#000000"
      fontName "Arial"
      fontStyle "plain"
      position [
        absHor 0.0
        absVert 0.0
        alignSegment 0
        relAlign 0.5
      ]
      type "text"
    ]
  ]
]
